var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import PropTypes from 'prop-types';
import { createComponent, applyTheme } from 'cf-style-container';

import CodeUnstyled from './Code';
import CodeTheme from './CodeTheme';

var styles = function styles(_ref) {
  var theme = _ref.theme;
  return {
    backgroundColor: theme.backgroundColor,
    border: theme.border,
    fontFamily: theme.fontFamily,
    borderRadius: theme.borderRadius,
    display: theme.display,
    width: theme.width,
    margin: theme.margin,
    padding: theme.padding,
    fontSize: theme.fontSize,
    color: theme.textColor
  };
};

var Code = applyTheme(CodeUnstyled, CodeTheme, function () {
  return {
    display: 'inherit',
    margin: 'auto',
    padding: 'auto',
    background: 'none',
    border: 'none',
    color: 'inherit'
  };
});

var CodeBlock = function (_React$Component) {
  _inherits(CodeBlock, _React$Component);

  function CodeBlock() {
    _classCallCheck(this, CodeBlock);

    return _possibleConstructorReturn(this, (CodeBlock.__proto__ || Object.getPrototypeOf(CodeBlock)).apply(this, arguments));
  }

  _createClass(CodeBlock, [{
    key: 'render',
    value: function render() {
      return React.createElement(
        'pre',
        { className: this.props.className },
        React.createElement(
          Code,
          null,
          this.props.children
        )
      );
    }
  }]);

  return CodeBlock;
}(React.Component);

CodeBlock.propTypes = {
  className: PropTypes.string,
  children: PropTypes.node
};

CodeBlock.displayName = 'CodeBlock';
export default createComponent(styles, CodeBlock);