'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _cfStyleContainer = require('cf-style-container');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const styles = ({ theme }) => ({
  backgroundColor: theme.backgroundColor,
  border: theme.border,
  fontFamily: theme.fontFamily,
  borderRadius: theme.borderRadius,
  display: theme.display,
  marginLeft: theme.marginLeft,
  marginRight: theme.marginRight,
  padding: theme.padding,
  verticalAlign: theme.verticalAlign,
  color: theme.textColor
});

class Code extends _react2.default.Component {
  render() {
    return _react2.default.createElement(
      'code',
      { className: this.props.className },
      this.props.children
    );
  }
}

Code.propTypes = {
  className: _propTypes2.default.string,
  children: _propTypes2.default.node
};
Code.displayName = 'Code';

exports.default = (0, _cfStyleContainer.createComponent)(styles, Code);