'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _cfStyleContainer = require('cf-style-container');

var _Code = require('./Code');

var _Code2 = _interopRequireDefault(_Code);

var _CodeTheme = require('./CodeTheme');

var _CodeTheme2 = _interopRequireDefault(_CodeTheme);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const styles = ({ theme }) => ({
  backgroundColor: theme.backgroundColor,
  border: theme.border,
  fontFamily: theme.fontFamily,
  borderRadius: theme.borderRadius,
  display: theme.display,
  width: theme.width,
  margin: theme.margin,
  padding: theme.padding,
  fontSize: theme.fontSize,
  color: theme.textColor
});

const Code = (0, _cfStyleContainer.applyTheme)(_Code2.default, _CodeTheme2.default, () => ({
  display: 'inherit',
  margin: 'auto',
  padding: 'auto',
  background: 'none',
  border: 'none',
  color: 'inherit'
}));

class CodeBlock extends _react2.default.Component {
  render() {
    return _react2.default.createElement(
      'pre',
      { className: this.props.className },
      _react2.default.createElement(
        Code,
        null,
        this.props.children
      )
    );
  }
}

CodeBlock.propTypes = {
  className: _propTypes2.default.string,
  children: _propTypes2.default.node
};

CodeBlock.displayName = 'CodeBlock';
exports.default = (0, _cfStyleContainer.createComponent)(styles, CodeBlock);